Bug 1486196 - oc attach didn't returning output of remote container
Summary: oc attach didn't returning output of remote container
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.10.0
Assignee: Vikas Choudhary
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On: 1317784 1356062
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-29 08:06 UTC by XiaochuanWang
Modified: 2019-07-22 20:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1356062
Environment:
Last Closed: 2019-07-22 20:19:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description XiaochuanWang 2017-08-29 08:06:26 UTC
Description of problem:
oc attach container lost the output "Started, serving at 8080"


Version-Release number of selected component (if applicable):
openshift/oc v3.7.0-0.117.0

How reproducible:
Always

Steps to Reproduce:
1. oc create -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/pods/pod_with_two_containers.json
2. Wait until pod running
3. oc attach doublecontainers
Then try press enter


Actual results:
# oc attach doublecontainers 
If you don't see a command prompt, try pressing enter.
(Pressing enter will only output some more empty lines)

Expected results:
# oc attach doublecontainers 
If you don't see a command prompt, try pressing enter.
Started, serving at 8080

Additional info:
It's not reproduced on OCP 3.6

Comment 1 Seth Jennings 2017-09-02 19:47:37 UTC
Vikas, please take a look.  Might be a regression vs 3.6.

Comment 2 Vikas Choudhary 2017-09-03 09:52:15 UTC
(In reply to Seth Jennings from comment #1)
> Vikas, please take a look.  Might be a regression vs 3.6.

sure.

Comment 3 Seth Jennings 2017-09-11 17:49:13 UTC
This is still being hashed out upstream
https://github.com/kubernetes/kubernetes/issues/24070

Kube PR is posted but blocked and likely won't be the fix in the end
https://github.com/kubernetes/kubernetes/pull/52225

Comment 4 Seth Jennings 2018-01-22 16:58:51 UTC
https://github.com/kubernetes/kubernetes/pull/52225 was closed due to inactivity.
  
I unfroze the upstream issue and pinged participating parties in an attempt to restart discussion.


Note You need to log in before you can comment on or make changes to this bug.